# DataExchange
TKSTEP
StepToGeom

# StepToGeom_MakeBSplineCurve Class Reference

This class implements the mapping between all classes of
BSplineCurve from StepGeom and BSplineCurve from Geom
.

`#include <StepToGeom_MakeBSplineCurve.hxx>`

Inheritance diagram for StepToGeom_MakeBSplineCurve:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | StepToGeom_MakeBSplineCurve (const Handle(StepGeom_BSplineCurve)&Bsplin)
Standard_EXPORT const Handle_Geom_BSplineCurve & | Value () const

## Private Attributes

Handle_Geom_BSplineCurve | theBSplineCurve

## Constructor & Destructor Documentation

Standard_EXPORT StepToGeom_MakeBSplineCurve::StepToGeom_MakeBSplineCurve | ( | const Handle(StepGeom_BSplineCurve)& | Bsplin | ) |

## Member Function Documentation

void StepToGeom_MakeBSplineCurve::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from StepToGeom_Root.

void* StepToGeom_MakeBSplineCurve::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from StepToGeom_Root.

void* StepToGeom_MakeBSplineCurve::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from StepToGeom_Root.

Standard_EXPORT const Handle_Geom_BSplineCurve& StepToGeom_MakeBSplineCurve::Value | ( |  | ) | const

## Field Documentation

Handle_Geom_BSplineCurve StepToGeom_MakeBSplineCurve::theBSplineCurve`[private]`

The documentation for this class was generated from the following file:

- StepToGeom_MakeBSplineCurve.hxx